Package org.jboss.classfilewriter.annotations

## Class AnnotationsAttribute

- java.lang.Object
- - org.jboss.classfilewriter.attributes.Attribute
  - - org.jboss.classfilewriter.annotations.AnnotationsAttribute

All Implemented Interfaces:
  `WritableEntry`

    public class AnnotationsAttribute
    extends Attribute

An annotations attribute

Author:
  Stuart Douglas

### Nested Class Summary

Nested Classes
`static class` `AnnotationsAttribute.Type`

### Field Summary

### Fields inherited from class org.jboss.classfilewriter.attributes.Attribute

`constPool`

### Constructor Summary

Constructors
`AnnotationsAttribute​(AnnotationsAttribute.Type type, ConstPool constPool)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addAnnotation​(Annotation annotation)`
`void` `addAnnotation​(ClassAnnotation annotation)`
`void` `writeData​(ByteArrayDataOutputStream stream)`

### Methods inherited from class org.jboss.classfilewriter.attributes.Attribute

`getName, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnnotationsAttribute

    public AnnotationsAttribute​(AnnotationsAttribute.Type type,
                                ConstPool constPool)

### Method Detail

#### writeData

    public void writeData​(ByteArrayDataOutputStream stream)
                   throws IOException

Specified by:
  `writeData` in class `Attribute`
Throws:
  `IOException`

#### addAnnotation

    public void addAnnotation​(Annotation annotation)

#### addAnnotation

    public void addAnnotation​(ClassAnnotation annotation)